<div class="container">
    <div class = "col-lg-12 m-4" mx-auto>
      <div class="row">
        <h3>Nueva Cita</h3>
        <button type="button" class="btn btn-danger" (click)="volver()">Cancelar</button>
      </div>
      
    <div class = "col-lg-12 m-4" mx-auto>
        <div class="col-lg-8 mx-auto">
            <div class="card card-signin my-5">
                <div class="card-body">
                    <form [formGroup]="citaForm" (ngSubmit)="onSubmit()" novalidate>
                        <div class="form-group">

                            <div class="row">
                                <div class="col">
                                    <label>Paciente</label>
                                    <input type="text" [readonly]="true" class="form-control" formControlName="pacienteId" value="{{paciente.usuario}}">
                                
                                </div>

                                <div class="col">
                                    <label>Médico</label>
                                    <input type="text" [readonly]="true" class="form-control" formControlName="medicoId" value="medico.usuario">
                                </div>
                                
                            </div>
                        </div>
                        <br>

                        <div class="form-group">
                            <div class="row">
                                <div class="col">
                                    <label>Fecha</label>
                                    <input class="form-control" formControlName="fechaHora" type="datetime-local" required>
                                    <div *ngIf="getControl.fechaHora.touched && getControl.fechaHora.invalid" class="text-danger">
                                        <div *ngIf="getControl.fechaHora?.errors?.required">Debes indicar la fecha.</div>
                                    </div>     
                                </div>
                                 
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col">
                                    <label>Motivo de la Cita</label>
                                    <input type="text" class="form-control" formControlName="motivoCita"  placeholder="Motivo de cita" required>
                                    <div *ngIf="getControl.motivoCita.touched && getControl.motivoCita.invalid" class="text-danger">
                                        <div *ngIf="getControl.motivoCita?.errors?.required">Debes indicar el motivo.</div>
                                    </div>      
                                </div>
                                
                            </div>
                        </div>
                        <br>
                        
                        <div class="row">
                            &nbsp;
                            <button type="button" class="btn btn-dark" type="submit">Generar Cita</button>
                            &nbsp;
                        </div>
                      </form>
            </div>
        </div>
    </div>
    </div>
</div>